<%= form_with(model: product, local: true) do |form| %>
  <% if product.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(product.errors.count, "error") %> prohibited this product from being saved:</h2>

      <ul>
      <% product.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :title %>
    <%= form.text_field :title, required: true %>
  </div>

  <div class="field">
    <%= form.label :price %>
    <%= form.number_field :price, required: true %>
  </div>

  <div class="field">
    <%= form.label :description %>
    <%= form.text_area :description, rows: 10, cols: 50 %>
  </div>

  <div class="field">
    <%= form.label :picture %>
    <%= form.file_field :picture %>
    <small>Max 100KB</small>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
